### Method

# EDataServerUI4 CredentialsPrompter register_impl

since: 3.16

#### Declaration [src]

    gboolean
    e_credentials_prompter_register_impl (
      ECredentialsPrompter* prompter,
      const gchar* authentication_method,
      ECredentialsPrompterImpl* prompter_impl
    )

#### Description [src]

Registers a prompter implementation for a given authentication method. If there is registered a prompter for the same `authentication_method`, then the function does nothing, otherwise it adds its own reference on the `prompter_impl`, and uses it for that authentication method. One `prompter_impl` can be registered for multiple authentication methods.

A special value `NULL` can be used for the `authentication_method`, which means a default credentials prompter, that is to be used when there is no prompter registered for the exact authentication method.

Available since: 3.16

#### Parameters

`authentication_method`

  Type: `const gchar*`

  An authentication method to registr `prompter_impl` for; or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`prompter_impl`

  Type: `ECredentialsPrompterImpl`

  An `ECredentialsPrompterImpl`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure or when there was another prompter implementation registered for the given authentication method.